#!/bin/bash


function give_vars() {
    local DIRA=$1
    local DIRB=$2
    local OUT=$3
    find preprocess-only/baseline -name \*.log -exec ./elim_cmp1.sh ${DIRA} ${DIRB} {} \; | sort -n -k1 > /tmp/${OUT}.csv

    gnuplot -p\
       -e "set terminal pdf; set output \"../figures/${OUT}.pdf\"" \
       -e "set xlabel \"eliminated variables by ${DIRA} (%)\"" \
       -e "set xrange [0:100]" \
       -e "set ylabel \"eliminated variables by ${DIRB} (%)\"" \
       -e "unset key" \
       -e "plot \"/tmp/${OUT}.csv\" using 1:2, x"
}


give_vars "baseline" "no-definitions" "kissat-scattered-definitions-vs-base"


give_vars "baseline" "no-gates" "kissat-scattered-gates-vs-definitions"

give_vars "baseline" "no-definitions-no-ands" "kissat-scattered-definitions-ands-vs-base"

give_vars "baseline" "no-gates-no-definitions" "kissat-scattered-gates-vs-base"