#!/bin/bash

echo "******kissat*****"

gates=( "ands_eliminated" "definitions_eliminated"  "xors_eliminated" "equivalences_eliminated" "if_then_else_eliminated" )

for gate in "${gates[@]}"
do
    echo "find full-runs/baseline -name \*.log -exec awk '/${gate}/{elimtime=$3; printf \"%d\n\", elimtime; found = 1}END{if(found==0){printf "0.00\n"}}' {} \; | sort -k1 -n > $gate"

    elim=`find full-runs/baseline -name \*.log -exec awk '/'${gate}'/{elimtime=$4; printf "%d", elimtime; found = 1}END{if(found==0){printf "0.00 "}}' {} \; -exec echo " {}" \; | sort -k1 -n > $gate`
done


echo "gnuplot command:"
echo "set xlabel \"number of instances\""
echo "set ylabel \"percentage of eliminated variables\""
echo "set key left top"

echo -n "plot "

for experiment in "${gates[@]}"; do
    echo -n "\"$experiment\" with linespoint, "
done

echo "\n"
