#!/bin/sh

echo "******kissat*****"
experiments=`ls full-runs/`

for experiment in $experiments; do
    echo "full-runs/$experiment"
    elim=`find full-runs/$experiment/ -name \*.log -exec awk '/eliminate$/{elimtime=$3 + $5/100; printf "%.2f\n", elimtime; found = 1}END{if(found==0){printf "0.00\n"}}' {} \; | sort -k1 -n > $experiment`
done

echo "gnuplot command:"

echo "set xlabel \"number of instances\""
echo "set ylabel \"amount of time spent in elimination (in percent)\""
echo "set logscale y"
echo "set xrange [180:400]"
echo "set yrange [.35:100]"
echo "set key left top"

echo -n "plot "

for experiment in $experiments; do
    echo -n "\"$experiment\" with linespoint, "
done

echo "\n"

echo ""
echo  "save as kissat-elim-time.pdf"



echo "*****Lingeling********"

experiments=`ls lingeling/`

for experiment in $experiments; do
    echo "lingeling/$experiment"
    elim=`find lingeling/$experiment/ -name \*.log -exec awk '/all$/{all=$2}/elim$/{elimtime=$2; found = 1}END{if(found==0 || all==0){printf "0.00\n"} else {printf "%.2f\n", 100*elimtime/all}}' {} \; | sort -k1 -n > $experiment`
done


echo "gnuplot command:"

echo "set xlabel \"number of instances\""
echo "set ylabel \"amount of time spent in elimination (in percent)\""
echo "set logscale y"
echo "set key left top"

echo -n "plot "

for experiment in $experiments; do
    echo -n "\"$experiment\" with linespoint, "
done

echo "\n"

